summaryrefslogtreecommitdiffstats
path: root/games/jg-geolith
diff options
context:
space:
mode:
author B. Watson2023-09-09 04:28:31 +0200
committer Willy Sudiarto Raharjo2023-09-09 04:28:31 +0200
commiteee9c70f877d9b3237cc10bf56aa331cf37c6b99 (patch)
tree63aae42430c402d83145864c666a10c4a50a94e3 /games/jg-geolith
parent3ca5f8688d465c47a8fd2394d019c3acca6e554d (diff)
downloadslackbuilds-eee9c70f877d9b3237cc10bf56aa331cf37c6b99.tar.gz
games/jg-geolith: Added (Neo Geo emulation core).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'games/jg-geolith')
-rw-r--r--games/jg-geolith/README15
-rw-r--r--games/jg-geolith/jg-geolith.SlackBuild85
-rw-r--r--games/jg-geolith/jg-geolith.info10
-rw-r--r--games/jg-geolith/slack-desc19
4 files changed, 129 insertions, 0 deletions
diff --git a/games/jg-geolith/README b/games/jg-geolith/README
new file mode 100644
index 0000000000..4bee266c65
--- /dev/null
+++ b/games/jg-geolith/README
@@ -0,0 +1,15 @@
+jg-geolith (Neo Geo emulation core for Jolly Good Emulation)
+
+jg-geolith is a highly accurate emulator for the Neo Geo AES and
+MVS. This emulator supports TerraOnion's NEO file format only.
+
+Filenames supported: .neo
+To run files with other extensions: jollygood -c geolith <filename>
+
+By default, no controls are mapped. The first time you run a game,
+press Shift-1 to configure the first controller.
+
+BIOS files from a recent MAME set are required:
+ - aes.zip for Neo Geo AES (Home Console)
+ - neogeo.zip for Neo Geo MVS (Arcade) and Unibios
+Copy these files to: ~/.local/share/jollygood/bios/
diff --git a/games/jg-geolith/jg-geolith.SlackBuild b/games/jg-geolith/jg-geolith.SlackBuild
new file mode 100644
index 0000000000..ad1b79542c
--- /dev/null
+++ b/games/jg-geolith/jg-geolith.SlackBuild
@@ -0,0 +1,85 @@
+#!/bin/bash
+
+# Slackware build script for jg-geolith
+
+# Written by B. Watson (urchlay@slackware.uk)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=jg-geolith
+SRCNAM=geolith
+VERSION=${VERSION:-0.1.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find -L . -perm /111 -a \! -perm 755 -a -exec chmod 755 {} + -o \
+ \! -perm /111 -a \! -perm 644 -a -exec chmod 644 {} +
+
+LIBDIR=/usr/lib$LIBDIRSUFFIX
+PKGLIB=$PKG/$LIBDIR
+DOCDIR=/usr/doc/$PRGNAM-$VERSION
+PKGDOC=$PKG/$DOCDIR
+
+make install-strip \
+ CFLAGS="$SLKCFLAGS" \
+ DESTDIR=$PKG \
+ PREFIX=/usr \
+ DATAROOTDIR=/usr/share \
+ DOCDIR=$DOCDIR \
+ LIBDIR=$LIBDIR
+
+# 20230904 bkw: there's an icon (geolith.svg) but no point in
+# including it in the package, since I'm not doing .desktop files for
+# jollygood cores (yet? ever? undecided)
+
+cp -a ChangeLog $PKGDOC
+cat $CWD/$PRGNAM.SlackBuild > $PKGDOC/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/games/jg-geolith/jg-geolith.info b/games/jg-geolith/jg-geolith.info
new file mode 100644
index 0000000000..0d81ff3a0d
--- /dev/null
+++ b/games/jg-geolith/jg-geolith.info
@@ -0,0 +1,10 @@
+PRGNAM="jg-geolith"
+VERSION="0.1.0"
+HOMEPAGE="https://jgemu.gitlab.io/"
+DOWNLOAD="https://gitlab.com/jgemu/geolith/-/archive/0.1.0/geolith-0.1.0.tar.gz"
+MD5SUM="87aed5248be977b9a29782427be87387"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="jollygood"
+MAINTAINER="B. Watson"
+EMAIL="urchlay@slackware.uk"
diff --git a/games/jg-geolith/slack-desc b/games/jg-geolith/slack-desc
new file mode 100644
index 0000000000..7676336dac
--- /dev/null
+++ b/games/jg-geolith/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+jg-geolith: jg-geolith (Neo Geo emulation core for Jolly Good Emulation)
+jg-geolith:
+jg-geolith: jg-geolith is a highly accurate emulator for the Neo Geo AES and
+jg-geolith: MVS. This emulator supports TerraOnion's NEO file format only.
+jg-geolith:
+jg-geolith:
+jg-geolith:
+jg-geolith:
+jg-geolith:
+jg-geolith:
+jg-geolith: